package response

import (
	"eta/eta_mini_api/models"

	"github.com/rdlucklib/rdluck_tools/paging"
)

type MyChartIsCollectResp struct {
	IsCollect bool `description:"是否收藏"`
}

type MyChartListResp struct {
	List   []*models.MyChart  `description:"图表列表"`
	Paging *paging.PagingItem `description:"分页信息"`
}

// MyChartLocateItem 用户图表定位
type MyChartLocateItem struct {
	MyChartId       int
	ChartInfoId     int
	ChartName       string
	UniqueCode      string
	PrevChartInfoId int
	NextChartInfoId int
}
