package models

import "github.com/beego/beego/v2/client/orm"

type SysUser struct {
	SysUserId   int    `description:"系统用户id"`
	SysRealName string `description:"系统用户姓名"`
	Phone       string `description:"手机号"`
	AreaCode    string `description:"区号"`
}

func GetSellerById(sysUserId int) (items *SysUser, err error) {
	o := orm.NewOrm()
	sql := `SELECT * FROM sys_user WHERE sys_user_id=?`
	err = o.Raw(sql, sysUserId).QueryRow(&items)
	return
}
