package models

import "github.com/beego/beego/v2/client/orm"

type UserReadPermission1 struct {
	UserReadPermissionId int    `orm:"pk" description:"用户阅读记录品种映射id"`
	UserReadRecordId     int    `description:"用户阅读记录id"`
	ChartPermissionId    int    `description:"品种id"`
	PermissionName       string `description:"品种名称"`
}
type UserReadPermission2 struct {
	UserReadPermissionId int `orm:"pk" description:"用户阅读记录品种映射id"`
	UserReadRecordId     int `description:"用户阅读记录id"`
	ChartPermissionId    int `description:"品种id"`
}

func UserReadPermission1MultiInsert(items []*UserReadPermission1) (err error) {
	o := orm.NewOrm()
	_, err = o.InsertMulti(len(items), items)
	return
}
func UserReadPermission2MultiInsert(items []*UserReadPermission2) (err error) {
	o := orm.NewOrm()
	_, err = o.InsertMulti(len(items), items)
	return
}
